<lib-table
	#table
	[autoColumns]="autoColumns"
	[columnsToDisplay]="displayedColumns"
	[pageSizeOptions]="[10, 20, 50, 100]"
	[dataSourceFunction]="transactionService.list.bind(transactionService)"
	matSort
	matSortDirection="desc"
	[matSortActive]="displayedColumns[1]"
	filterLabel="{{ 'transl.simple.filter' | translate }}"
>
	<ng-container matColumnDef="internalChange">
		<th mat-header-cell *matHeaderCellDef mat-sort-header>{{ 'transl.simple.internalChange' | translate }}</th>
		<td mat-cell *matCellDef="let item">
			<mat-icon
				[class.green]="item.internalChange === 'POSITIVE'"
				[class.red]="item.internalChange === 'NEGATIVE'"
				[class.gray]="item.internalChange === 'NEUTRAL'"
			>
				{{ getInternalChangeIcon(item.internalChange) }}
			</mat-icon>
		</td>
	</ng-container>
	<ng-container matColumnDef="debtorAccount">
		<th mat-header-cell *matHeaderCellDef mat-sort-header>{{ 'transl.simple.debtorAccount' | translate }}</th>
		<td mat-cell *matCellDef="let item" [class.internal]="item.debtorAccount.internal">{{ item.debtorAccount?.name || '' }}</td>
	</ng-container>
	<ng-container matColumnDef="creditorAccount">
		<th mat-header-cell *matHeaderCellDef mat-sort-header>{{ 'transl.simple.creditorAccount' | translate }}</th>
		<td mat-cell *matCellDef="let item" [class.internal]="item.creditorAccount.internal">{{ item.creditorAccount?.name }}</td>
	</ng-container>
	<ng-container matColumnDef="amount">
		<th mat-header-cell *matHeaderCellDef mat-sort-header>{{ 'transl.simple.name' | translate }}</th>
		<td mat-cell *matCellDef="let item">{{ item.amount | currency: item.currency }}</td>
	</ng-container>

	<ng-container matColumnDef="actions">
		<th mat-header-cell *matHeaderCellDef>{{ 'transl.simple.actions' }}</th>
		<td mat-cell *matCellDef="let item">
			<button disabled="true" mat-icon-button aria-label="Further information" matTooltip="{{ item.simple.purpose }}">
				<mat-icon>help</mat-icon>
			</button>
			<button
				mat-icon-button
				[attr.aria-label]="'transl.simple.edit' | translate"
				color="primary"
				matTooltip="{{ 'transl.simple.edit' | translate }}"
				(click)="tenantService.navigateToTenant(['transactions', item._id])"
			>
				<mat-icon>edit</mat-icon>
			</button>
			<button mat-icon-button aria-label="Delete" color="warn" matTooltip="{{ 'transl.simple.delete' | translate }}" (click)="delete(item)">
				<mat-icon>delete</mat-icon>
			</button>
		</td>
	</ng-container>
</lib-table>

<button class="fab" mat-fab color="accent" (click)="tenantService.navigateToTenant(['transactions', 'create'])">
	<mat-icon>add</mat-icon>
</button>
